=== debian/changelog ===
soprano (2.5.0+dfsg.1-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Make libsoprano4 Recommends in soprano-daemon strictly versioned.
  * Point debian/control Vcs fields to the new Git repository.
  * Bump Standards-Version to 3.9.1: add/replace Conflicts with Breaks next to
    Replaces as needed.
  * Require cmake 2.6.2, not 2.6.8.
  * Switch to source format 3.0 (quilt):
    - remove quilt build dependency;
    - bump pkg-kde-tools build dependency to 0.9.
  * Move debug package to the bottom of debian/control.
  * Update sumbol file for 2.5.0 on amd64.
  * Replace common-licenses/BSD with real license text.

  [ George Kiagiadakis ]
  * With the new version of doxygen (1.7.1), there are not longer *.gif
    files in the documentation. (Closes: #590400).
  * Update symbol file for 2.4.64 and confirm on amd64 and i386.

  [ Ana Beatriz Guerrero Lopez ]
  * Add versioned build dependend on doxygen (>= 1.7.1), full documentation
    will not be installed if you build the package with a previous version.

  [ Bjoern Ricks ]
  * Update symbol file for 2.4.63 on i386

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 08 Aug 2010 02:07:52 +0300

soprano (2.4.3+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Update symbol file for 2.4.2 on all arches for 2.4.3 on amd64.
  * Add debian/source/format (1.0).

 -- Modestas Vainius <modax@debian.org>  Mon, 17 May 2010 01:08:55 +0300

soprano (2.4.2+dfsg.1-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Use DEP-3 headers on the patches.
  * Cleanup build dependencies versions.
  * Update copyright years.
  * Update symbol file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 21 Apr 2010 09:22:06 +0300

soprano (2.4.1+dfsg.1-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Make soprano-daemon suggest virtuoso-minimal.
  * Add a note to soprano-daemon description that it is not intended to be used
    directly by end users (see thread in #546199).
  * Drop 02_build_with_visibility_hidden.diff patch, merged upstream.
  * Update symbol file.
  * Add patch 02_disable_usr_lib_install_rpath.diff to get rid of /usr/lib
    RPATH.
  * Upgrade libsoprano4 to soprano-dbg Depends.
  * Fix debian/watch:
    - dversionmangle dfsg.1 suffix;
    - remove bogus excess lines.
  * Update libsoprano-dev.install.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 06 Mar 2010 02:45:14 +0200

soprano (2.4.0.1+dfsg.1-2) unstable; urgency=low

  * Downgrade libsoprano-doc to priority: extra.
  * Drop bogus 03_SopranoAddOntology_path.diff patch.

 -- Modestas Vainius <modax@debian.org>  Fri, 12 Feb 2010 18:55:31 +0200

soprano (2.4.0.1+dfsg.1-1) unstable; urgency=low

  * New upstream release:
    - Fix Raptor RDF serializer installation. (Closes: #562388)

  [ Ana Beatriz Guerrero Lopez ]
  * Remove myself from Uploaders.
  * Remove Matthew Rosewarne from Uploaders, happy hacking wherever you are.
  * Add build depend on libiodbc2-dev for virtuoso backend.
  * Update installed files.

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * Build depend on pkg-kde-tools 0.6.1.
  * Convert libsoprano4.symbols.in to new pkg-kde-tools 0.6 format and
    update it for 2.4.0.1.
  * Bump libqt4-dev build depend to version 4.5.0.
  * Bump libsoprano4 shlibs with each new upstream version.
  * Install dbus interface XMLs to libsoprano-dev.
  * Exempt libsoprano4 from soprano-daemon ${shlibs:Depends} to avoid circular
    deps (Closes: #546199).
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Remove pointless shlibs:Depends subst from libsoprano-doc.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 11 Feb 2010 23:27:48 +0200

soprano (2.3.1+dfsg.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Lisandro Damián Nicanor Pérez Meyer:

  * Bump Standards-Version from 3.8.2 to 3.8.3, no changes required.
  * Modified the SopranoAddOntology patch to fix a path.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 24 Sep 2009 20:50:06 +0200

soprano (2.3.0+dfsg.1-2) unstable; urgency=low

  * Upload to unstable

  +++ Changes by Fathi Boudra:

  * Add patch to fix SopranoAddOntology.cmake path.

  +++ Changes by Modestas Vainius:

  * Remove incorrectly tagged and obsolete symbols from libsoprano4.symbols.in.
    Resolves FTBFS (Closes: #537817).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 26 Jul 2009 23:06:56 +0300

soprano (2.3.0+dfsg.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Set priority extra to debug package.
  * Bump Standards-Version from 3.8.0 to 3.8.2 (no changes needed).

  +++ Changes by Modestas Vainius:

  * Convert symbols file to dpkg-dev 1.15.3 compatible format. Build depend on
    dpkg-dev 1.15.3.
  * Update symbols file for 2.3.0 release.

  +++ Changes by Scott Kitterman:

  * Split out non library files split into soprano-daemon. (Closes: #517475)

  +++ Changes by Sune Vuorela:

  * Fix sections.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 18 Jul 2009 12:34:23 +0300

soprano (2.2.69+dfsg.1-1) experimental; urgency=low

  * New upstream snapshot.

  +++ Changes by George Kiagiadakis:

  * Update installed files.
  * Update libsoprano4.symbols.in.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 29 Jun 2009 14:28:35 +0300

soprano (2.2.2+dfsg.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Point Debian Vcs URLs to pkg-kde/trunk (new location).

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * API documentation is now built enabling flag SOPRANO_BUILD_API_DOCS.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 27 Feb 2009 23:28:35 +0100


