## soprano 2.5.0-maemo0

=== debian/changelog ===
soprano (2.5.0-maemo0) unstable; urgency=low

  * Soprano 2.5.0 for fremantle

 -- Mani <maninc@gmail.com>  Thu, 19 Aug 2010 15:47:34 +0530

soprano (2.1+dfsg.1-1maemo0) intrepid; urgency=low

  * Fixed some cmake 2.6.1 promblems.

 -- Jonas Hurrelmann <j@outpo.st>  Tue, 19 Aug 2008 18:06:48 +0200

soprano (2.1+dfsg.1-0ubuntu1~hardy1~ppa1) hardy; urgency=low

  * New Hardy backport

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 26 Jul 2008 10:47:45 +0200

soprano (2.0.98-1ubuntu1~hardy1~ppa1) hardy; urgency=low

  * Needed for KDE 4 Beta PPA

 -- Richard A. Johnson <nixternal@kubuntu.org>  Tue, 27 May 2008 17:24:51 -0500

soprano (2.0.98-1ubuntu1) intrepid; urgency=low

  * Split out non library files into soprano-daemon package, Closes LP: #234952

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 May 2008 08:59:30 +0100

soprano (0.9.0~snapshot20070525-1) unstable; urgency=low

  * Initial release.

 -- Sune Vuorela <debian@pusling.com>  Fri,  4 May 2007 09:49:34 +0200
