## soprano 2.5.1-maemo0

=== debian/changelog ===
soprano (2.5.1-maemo0) unstable; urgency=low

  * Adding more headers

 -- Mani Chandrasekar <maninc@gmail.com>  Thu, 30 Sep 2010 15:47:34 +0530
