## soprano 2.5.2+dfsg.1

=== debian/changelog ===
soprano (2.5.2+dfsg.1-0ubuntu1) maverick; urgency=low

  * New upstream bug fix release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 10 Sep 2010 18:46:03 +0200

soprano (2.5.0+dfsg.1-1ubuntu1) maverick; urgency=low

  * Fake sync due to mismatching tarball

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 04 Sep 2010 00:03:13 +0200
