## soprano 2.5.2-maemo0

=== debian/changelog ===
soprano (2.5.2-maemo0) unstable; urgency=low

  * For PR 1.3

 -- Mani Chandrasekar <maninc@gmail.com>  Thu, 14 Nov 2010 15:47:34 +0530
