=== debian/control ===
Source: soprano
Section: libs
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Armin Berres <trigger+debian@space-based.de>, Fathi Boudra <fabo@debian.org>, Matthew Rosewarne <mrosewarne@inoutbox.com>, Mani Chandrasekar <maninc@gmail.com>
Build-Depends: cdbs (>= 0.4.48), debhelper (>= 5), cmake (>=2.6.2), quilt, pkg-kde-tools (>= 0.4),libclucene-dev, libqt4-dev (>> 4.4.0), librdf0-dev
Standards-Version: 3.8.0
Homepage: http://soprano.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/branches/kde4/packages/soprano
Vcs-Svn: svn://svn.debian.org/pkg-kde/branches/kde4/packages/soprano

Package: soprano-daemon
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libsoprano4
Conflicts: libsoprano4 (<< 2.0.98-1)
Replaces: libsoprano4 (<< 2.0.98-1)
Description: daemon for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains the Soprano daemon, D-Bus service, parser
 plugins, and a storage plugin for the Redland RDF Application Framework.

Package: libsoprano4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, soprano-daemon (= ${binary:Version})
Conflicts: libsoprano3
Replaces: libsoprano3
Description: libraries for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains the Soprano core libraries, D-Bus service, parser
 plugins, and a storage plugin for the Redland RDF Application Framework.

Package: libsoprano-dbg
Section: libdevel
Architecture: any
Suggests: libsoprano4 (= ${binary:Version})
Description: debugging symbols for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the Soprano packages.

Package: libsoprano-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsoprano4 (= ${binary:Version})
Suggests: libsoprano-doc (= ${source:Version})
Description: development files for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains development files for building software that uses the
 Soprano libraries.
