=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALL_SOURCEDIR = debian/tmp
DEB_DH_SHLIBDEPS_ARGS_ALL := -X*

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
