=== debian/watch ===
version=3

opts=dversionmangle=s/~/-/ \
http://sf.net/soprano/soprano-(.*)\.tar\.bz2

ftp://upload.sourceforge.net/pub/sourceforge/s/so/soprano/ \
  soprano-(.*)\.tar\.bz2
